Index: c/src/tests/support/stubdr/Makefile.am
===================================================================
--- c/src/tests/support/stubdr/Makefile.am	(revision f26a3ab5d0b0f9945d65f1a2710303957a55d4da)
+++ c/src/tests/support/stubdr/Makefile.am	(revision f26a3ab5d0b0f9945d65f1a2710303957a55d4da)
@@ -0,0 +1,42 @@
+## 
+## $Id$
+## 
+
+AUTOMAKE_OPTIONS = foreign 1.4
+
+PGM = ${ARCH}/stubdr.rel
+
+# C source names, if any, go here
+C_FILES = open.c close.c read.c write.c init.c cntrl.c
+C_O_FILES = $(C_FILES:%.c=${ARCH}/%.o)
+
+H_FILES = stubdrv.h
+noinst_HEADERS = $(H_FILES)
+
+SRCS = $(C_FILES) $(H_FILES)
+OBJS = $(C_O_FILES)
+
+include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
+include $(RTEMS_ROOT)/make/leaf.cfg
+
+TMPINSTALL_FILES = \
+$(PROJECT_INCLUDE) \
+$(H_FILES:%=$(PROJECT_INCLUDE)/%)
+
+$(PROJECT_INCLUDE):
+	@$(mkinstalldirs) $@
+$(PROJECT_INCLUDE)/%.h: %.h
+	$(INSTALL_DATA) $< $@
+
+#
+# (OPTIONAL) Add local stuff here using +=
+#
+
+$(PGM): ${OBJS}
+	$(make-rel)
+
+all-local: ${ARCH} $(PGM) $(TMPINSTALL_FILES)
+
+EXTRA_DIST = $(C_FILES)
+
+include $(top_srcdir)/../../../../automake/local.am
Index: src/tests/support/stubdr/Makefile.in
===================================================================
--- c/src/tests/support/stubdr/Makefile.in	(revision 23e3f642e4f0753029b4bd4d444cd94b8f4bb4c6)
+++ 	(revision )
@@ -1,75 +1,0 @@
-#
-#  $Id$
-#
-
-@SET_MAKE@
-srcdir = @srcdir@
-top_srcdir = @top_srcdir@
-top_builddir = ..
-subdir = stubdr
-
-RTEMS_ROOT = @RTEMS_ROOT@
-PROJECT_ROOT = @PROJECT_ROOT@
-
-VPATH = @srcdir@
-
-PGM = ${ARCH}/stubdr.rel
-
-# C source names, if any, go here -- minus the .c
-C_PIECES = open close read write init cntrl
-C_FILES = $(C_PIECES:%=%.c)
-C_O_FILES = $(C_PIECES:%=${ARCH}/%.o)
-
-H_FILES = $(srcdir)/stubdrv.h
-
-# Assembly source names, if any, go here -- minus the .S
-S_PIECES =
-S_FILES = $(S_PIECES:%=%.S)
-S_O_FILES = $(S_FILES:%.S=${ARCH}/%.o)
-
-SRCS = $(DOCS) $(C_FILES) $(H_FILES)
-OBJS = $(C_O_FILES)
-
-include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(RTEMS_ROOT)/make/leaf.cfg
-
-INSTALL_CHANGE = @INSTALL_CHANGE@
-mkinstalldirs = $(SHELL) $(top_srcdir)/@RTEMS_TOPdir@/mkinstalldirs
-
-INSTALLDIRS = $(PROJECT_INCLUDE)
-
-$(INSTALLDIRS):
-	@$(mkinstalldirs) $(INSTALLDIRS)
-
-#
-# (OPTIONAL) Add local stuff here using +=
-#
-
-DEFINES +=
-CPPFLAGS +=
-CFLAGS +=
-
-LD_PATHS +=
-LD_LIBS +=
-LDFLAGS +=
-
-#
-# Add your list of files to delete here.  The config files
-#  already know how to delete some stuff, so you may want
-#  to just run 'make clean' first to see what gets missed.
-#  'make clobber' already includes 'make clean'
-#
-
-CLEAN_ADDITIONS +=
-CLOBBER_ADDITIONS +=
-
-$(PGM): ${OBJS}
-	$(make-rel)
-
-all: ${ARCH} $(SRCS) $(PGM)
-	@$(INSTALL_CHANGE) -m 644 $(H_FILES) $(PROJECT_INCLUDE)
-	$(INSTALL_VARIANT) -m 755 $(PGM) $(PROJECT_RELEASE)/lib
-
-Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
-	cd $(top_builddir) \
-	 && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status
Index: c/src/tests/support/wrapup/Makefile.am
===================================================================
--- c/src/tests/support/wrapup/Makefile.am	(revision f26a3ab5d0b0f9945d65f1a2710303957a55d4da)
+++ c/src/tests/support/wrapup/Makefile.am	(revision f26a3ab5d0b0f9945d65f1a2710303957a55d4da)
@@ -0,0 +1,33 @@
+## 
+## $Id$
+## 
+
+AUTOMAKE_OPTIONS = foreign 1.4
+
+LIBNAME=libtest
+LIB = $(ARCH)/$(LIBNAME).a
+
+GENERIC_FILES = stubdr
+
+# bummer; have to use $foreach since % pattern subst rules only replace 1x
+OBJS = $(foreach piece, $(GENERIC_FILES), ../$(piece)/$(ARCH)/$(piece).rel)
+
+include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
+include $(top_srcdir)/../../../../automake/lib.am
+
+#
+# (OPTIONAL) Add local stuff here using +=
+#
+
+TMPINSTALL_FILES += \
+$(PROJECT_RELEASE)/lib/$(LIBNAME)$(LIB_VARIANT).a
+
+$(LIB): ${OBJS}
+	$(make-library)
+
+$(PROJECT_RELEASE)/lib/$(LIBNAME)$(LIB_VARIANT).a: $(LIB)
+	$(INSTALL_DATA) $< $@
+
+all: ${ARCH} $(TMPINSTALL_FILES)
+
+include $(top_srcdir)/../../../../automake/local.am
Index: src/tests/support/wrapup/Makefile.in
===================================================================
--- c/src/tests/support/wrapup/Makefile.in	(revision 23e3f642e4f0753029b4bd4d444cd94b8f4bb4c6)
+++ 	(revision )
@@ -1,57 +1,0 @@
-#
-#  $Id$
-#
-
-@SET_MAKE@
-srcdir = @srcdir@
-top_srcdir = @top_srcdir@
-top_builddir = ..
-subdir = wrapup
-
-RTEMS_ROOT = @RTEMS_ROOT@
-PROJECT_ROOT = @PROJECT_ROOT@
-
-VPATH = @srcdir@
-
-GENERIC_PIECES = stubdr
-
-# bummer; have to use $foreach since % pattern subst rules only replace 1x
-OBJS = $(foreach piece, $(GENERIC_PIECES), ../$(piece)/$(ARCH)/$(piece).rel)
-LIB = $(ARCH)/libtest.a
-
-include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(RTEMS_ROOT)/make/lib.cfg
-
-INSTALL_CHANGE = @INSTALL_CHANGE@
-
-#
-# (OPTIONAL) Add local stuff here using +=
-#
-
-DEFINES +=
-CPPFLAGS +=
-CFLAGS +=
-
-LD_PATHS +=
-LD_LIBS +=
-LDFLAGS +=
-
-#
-# Add your list of files to delete here.  The config files
-#  already know how to delete some stuff, so you may want
-#  to just run 'make clean' first to see what gets missed.
-#  'make clobber' already includes 'make clean'
-#
-
-CLEAN_ADDITIONS +=
-CLOBBER_ADDITIONS +=
-
-$(LIB): ${OBJS}
-	$(make-library)
-
-all: ${ARCH} $(SRCS) $(LIB)
-	$(INSTALL_VARIANT) -m 644 $(LIB) $(PROJECT_RELEASE)/lib
-
-Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
-	cd $(top_builddir) \
-	 && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status
